const APP_DISPLAY_NAME = "Firebird and Thunderbird Grippies";
const APP_PACKAGE = "/grippies";
const APP_VERSION = "0.2";

const INST_TO_PROFILE = "Do you wish to install "+APP_DISPLAY_NAME+" to your profile?\nThis will mean it does not need reinstalling when you update Firebird or Thunderbird.\n(Click Cancel if you want "+APP_DISPLAY_NAME+" installed to the application directory.)";

initInstall(APP_DISPLAY_NAME, APP_PACKAGE, APP_VERSION);

// profile installs only work since 2003-03-06
var instToProfile = confirm(INST_TO_PROFILE);

var targetFolder = instToProfile ? getFolder("Profile", "chrome") : getFolder("chrome");
var err = addFile(APP_PACKAGE, APP_VERSION, "grippies.jar", targetFolder, null)

if (err == SUCCESS) {
  var jar = getFolder(targetFolder, "grippies.jar");
  if (instToProfile) {
    registerChrome(CONTENT | SKIN | PROFILE_CHROME, jar, "");
  } else {
    registerChrome(CONTENT | SKIN | DELAYED_CHROME, jar, "");
  }
  err = performInstall();
  if (err == SUCCESS || err == 999) {
    alert(APP_DISPLAY_NAME+" "+APP_VERSION+" has been succesfully installed.\nYou may need to restart first.");
  } else {
    alert("Install failed. Error code:" + err);
    cancelInstall(err);
  }
} else {
  alert("Failed to create grippies.jar\nError code:" + err);
  cancelInstall(err);
}
